package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.configuracioneccomerciales.ConfigCoordenadas;

public class RenderConfigLayoutImpressaoBoleto implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		ConfigCoordenadas configCoordenadas = (ConfigCoordenadas) o;

		Listcell lc = new Listcell();

		lc = new Listcell(configCoordenadas.getLbCampo());
		lc.setParent(lstm);

		lc = new Listcell(configCoordenadas.getLinha().toString());
		lc.setParent(lstm);

		lc = new Listcell(configCoordenadas.getColuna() != null ? configCoordenadas.getColuna().toString() : "");
		lc.setParent(lstm);

		lc = new Listcell(configCoordenadas.getTamanho() != null ? configCoordenadas.getTamanho().toString() : "");
		lc.setParent(lstm);

		lstm.setAttribute("data", configCoordenadas);
	}
}
